|
Create Temporary Upload Location
|
Creates a temporary blob storage upload location for importing large .pbix files that are between 1 GB and 10 GB in size.
To import large .pbix files:
- Create a temporary upload location using this API call.
- Upload the .pbix files using the shared access signature URL from the API call response.
- Call Post Import In Group, specifying the shared access signature URL in the
fileUrl parameter of the request body.
Required scope
Dataset.ReadWrite.All
Limitations
Importing large .pbix files between 1 GB and 10 GB in size is only available for Premium capacity workspaces.
|
|
Create Temporary Upload Location In Group
|
Creates a temporary blob storage upload location for importing large .pbix files that are between 1 GB and 10 GB in size.
To import large .pbix files:
- Create a temporary upload location using this API call.
- Upload the .pbix files using the shared access signature URL from the API call response.
- Call Post Import In Group, specifying the shared access signature URL in the
fileUrl parameter of the request body.
Required scope
Dataset.ReadWrite.All
Limitations
Importing large .pbix files between 1 GB and 10 GB in size is only available for Premium capacity workspaces.
|
|
Get Import
|
Returns the specified import from My workspace.
Required scope
Dataset.ReadWrite.All or Dataset.Read.All
|
|
Get Import In Group
|
Returns the specified import from the specified workspace.
Required scope
Dataset.ReadWrite.All or Dataset.Read.All
|
|
Get Imports
|
Returns a list of imports from My workspace.
Required scope
Dataset.ReadWrite.All or Dataset.Read.All
|
|
Get Imports In Group
|
Returns a list of imports from the specified workspace.
Required scope
Dataset.ReadWrite.All or Dataset.Read.All
Limitations
Importing .pbix files from OneDrive isn't supported.
|
|
Post Import
|
Creates new content in My workspace.
Note
Supported content:
- .pbix (Power BI Desktop reports)
- .json (JSON files)
- .xlsx (Excel files)
- .rdl (SQL Server Report Definition Language files)
- To import a file, specify the content type multipart/form-data in the request headers and encode the file as form data in the request body.
- To import an .rdl file, include the file extension in the name specified by
datasetDisplayName, as described in URI parameters.
- To import an .xlsx file from OneDrive for Business, include the content type application/json in the request headers. Include ImportInfo with
filePath set to the .xlsx file path in the request body.
- To import large .pbix files that are between 1 GB and 10 GB in size, see Create Temporary Upload Location. This is only supported for Premium capacity workspaces.
- To create a dataflow from a model.json file, set
datasetDisplayName to model.json, as described in URI parameters.
Required scope
Dataset.ReadWrite.All
Limitations
- Dataflows with service principal aren't supported.
- Importing a .pbix file from OneDrive isn't supported.
|
|
Post Import In Group
|
Creates new content in the specified workspace.
Note
Supported content:
- .pbix (Power BI Desktop reports)
- .json (JSON files)
- .xlsx (Excel files)
- .rdl (SQL Server Report Definition Language files)
- To import a file, specify the content type multipart/form-data in the request headers and encode the file as form data in the request body.
- To import an .rdl file, include the file extension in the name specified by
datasetDisplayName, as described in URI parameters.
- To import an .xlsx file from OneDrive for Business, include the content type application/json in the request headers. Include ImportInfo with
filePath set to the .xlsx file path in the request body.
- To import large .pbix files that are between 1 GB and 10 GB in size, see Create Temporary Upload Location In Group. This is only supported for Premium capacity workspaces.
- To create a dataflow from a model.json file, set
datasetDisplayName to model.json, as described in URI parameters.
Required scope
Dataset.ReadWrite.All
Limitations
- Dataflows with service principal aren't supported.
- Importing a .pbix file from OneDrive isn't supported.
|